Index: /BAORadio/libindi/libindi/communs/alignement.cpp
===================================================================
--- /BAORadio/libindi/libindi/communs/alignement.cpp	(revision 683)
+++ /BAORadio/libindi/libindi/communs/alignement.cpp	(revision 684)
@@ -51,5 +51,4 @@
     for (int i=0; i< MAXALIGNEMENTANTENNE; i++)
     {
-<<<<<<< .mine
         ad[i]                           = 0.0;
         de[i]                           = 0.0;
@@ -58,12 +57,4 @@
         tsl[i]                          = 0.0;
         SelectionnePourCalculMatrice[i] = false;
-=======
-        ad[i]                           = 0.0;
-        de[i]                           = 0.0;
-        delta_ad[i]                     = 0.0;
-        delta_de[i]                     = 0.0;
-        tsl[i]                          = 0.0;
-	SelectionnePourCalculMatrice[i] = false;
->>>>>>> .r680
     }
 
@@ -183,5 +174,5 @@
     double temp[4][4];
     double UnitVect[4][4];
-    
+
     temp[1][1] = p2.x - p1.x;
     temp[2][1] = p3.x - p1.x;
@@ -221,50 +212,20 @@
     double EQLMN2[4][4];
     double EQMI_T[4][4];
-    
+
     Coord a1, a2, a3, m1, m2, m3;
-    
+
     AzHa2XY(aa1.x, aa1.y, &a1.x, &a1.y);
     AzHa2XY(aa2.x, aa2.y, &a2.x, &a2.y);
     AzHa2XY(aa3.x, aa3.y, &a3.x, &a3.y);
 
-<<<<<<< .mine
-    Coord a1, a2, a3, m1, m2, m3;
-=======
     AzHa2XY(mm1.x, mm1.y, &m1.x, &m1.y);
     AzHa2XY(mm2.x, mm2.y, &m2.x, &m2.y);
     AzHa2XY(mm3.x, mm3.y, &m3.x, &m3.y);
-    
+
     //construit les matrices EQLMN1 & 2
->>>>>>> .r680
-
-<<<<<<< .mine
-    AzHa2XY(aa1.x, aa1.y, &a1.x, &a1.y);
-    AzHa2XY(aa2.x, aa2.y, &a2.x, &a2.y);
-    AzHa2XY(aa3.x, aa3.y, &a3.x, &a3.y);
-=======
+
     Calculer_Matrice_LMN(m1, m2, m3);
->>>>>>> .r680
-
-<<<<<<< .mine
-    AzHa2XY(mm1.x, mm1.y, &m1.x, &m1.y);
-    AzHa2XY(mm2.x, mm2.y, &m2.x, &m2.y);
-    AzHa2XY(mm3.x, mm3.y, &m3.x, &m3.y);
-=======
+
     for (int i=1; i<=3; i++) for (int j=1; j<=3; j++) EQLMN1[i][j]=GETLMN[i][j];
->>>>>>> .r680
-
-<<<<<<< .mine
-    //construit les matrices EQLMN1 & 2
-
-    Calculer_Matrice_LMN(m1, m2, m3);
-=======
-    Calculer_Matrice_LMN(a1, a2, a3);
->>>>>>> .r680
-
-<<<<<<< .mine
-    for (int i=1; i<=3; i++) for (int j=1; j<=3; j++) EQLMN1[i][j]=GETLMN[i][j];
-=======
-    for (int i=1; i<=3; i++) for (int j=1; j<=3; j++) EQLMN2[i][j]=GETLMN[i][j];
->>>>>>> .r680
 
     Calculer_Matrice_LMN(a1, a2, a3);
@@ -377,9 +338,6 @@
     double EQMQ[4][4];
 
-<<<<<<< .mine
     Coord a1, a2, a3, m1, m2, m3, c1, c2;
-=======
-    Coord a1, a2, a3, m1, m2, m3, c1, c2;
-    
+
     AzHa2XY(aa1.x, aa1.y, &a1.x, &a1.y);
     AzHa2XY(aa2.x, aa2.y, &a2.x, &a2.y);
@@ -389,61 +347,11 @@
     AzHa2XY(mm2.x, mm2.y, &m2.x, &m2.y);
     AzHa2XY(mm3.x, mm3.y, &m3.x, &m3.y);
-    
-    /*c1.x=(a1.x+a2.x+a3.x)/3.0;
-    c1.y=(a1.y+a2.y+a3.y)/3.0;
-    
-    c2.x=(m1.x+m2.x+m3.x)/3.0;
-    c2.y=(m1.y+m2.y+m3.y)/3.0;
-    
-    a1.x-=c1.x;
-    a1.y-=c1.y;
-    a2.x-=c1.x;
-    a2.y-=c1.y;
-    a3.x-=c1.x;
-    a3.y-=c1.y;
-    
-    m1.x-=c2.x;
-    m1.y-=c2.y;
-    m2.x-=c2.x;
-    m2.y-=c2.y;
-    m3.x-=c2.x;
-    m3.y-=c2.y;*/
-    
-    
-    
-    
+
+
     //Construit les matrices EQMP et EQMQ
->>>>>>> .r680
-
-<<<<<<< .mine
-    AzHa2XY(aa1.x, aa1.y, &a1.x, &a1.y);
-    AzHa2XY(aa2.x, aa2.y, &a2.x, &a2.y);
-    AzHa2XY(aa3.x, aa3.y, &a3.x, &a3.y);
-=======
+
     Calculer_Matrice_GETPQ(m1, m2, m3);
->>>>>>> .r680
-
-<<<<<<< .mine
-    AzHa2XY(mm1.x, mm1.y, &m1.x, &m1.y);
-    AzHa2XY(mm2.x, mm2.y, &m2.x, &m2.y);
-    AzHa2XY(mm3.x, mm3.y, &m3.x, &m3.y);
-=======
+
     for (int i=1; i<=3; i++) for (int j=1; j<=3; j++) EQMP[i][j]=GETPQ[i][j];
->>>>>>> .r680
-
-<<<<<<< .mine
-
-    //Construit les matrices EQMP et EQMQ
-
-    Calculer_Matrice_GETPQ(m1, m2, m3);
-=======
-    Calculer_Matrice_GETPQ(a1, a2, a3);
->>>>>>> .r680
-
-<<<<<<< .mine
-    for (int i=1; i<=3; i++) for (int j=1; j<=3; j++) EQMP[i][j]=GETPQ[i][j];
-=======
-    for (int i=1; i<=3; i++) for (int j=1; j<=3; j++) EQMQ[i][j]=GETPQ[i][j];
->>>>>>> .r680
 
     Calculer_Matrice_GETPQ(a1, a2, a3);
@@ -476,7 +384,5 @@
     MATRICE[2][1] = (EQMI[2][1] * EQMQ[1][1]) + (EQMI[2][2] * EQMQ[2][1]);
     MATRICE[2][2] = (EQMI[2][1] * EQMQ[1][2]) + (EQMI[2][2] * EQMQ[2][2]);
-    
-    
-    
+
 
 
@@ -486,5 +392,4 @@
     VECT_OFFSET.y =0.0;//m1.y - ((a1.x * MATRICE[1][2]) + (a1.y * MATRICE[2][2]));
 
-<<<<<<< .mine
     if (x + y == 0 )
     {
@@ -495,14 +400,4 @@
         return  PointSitueDansSurfaceTriangle(x, y, aa1.x, aa1.y, aa2.x, aa2.y, aa3.x, aa3.y);
     }
-=======
-   if (x + y == 0 )
-    {
-        return 0;
-    }
-    else
-    {
-        return  PointSitueDansSurfaceTriangle(x, y, aa1.x, aa1.y, aa2.x, aa2.y, aa3.x, aa3.y);
-    }
->>>>>>> .r680
 }
 
@@ -676,30 +571,14 @@
 
 
-<<<<<<< .mine
 double Alignement::Determinant()
 {
     double Det;
-=======
-double Alignement::Determinant()
-{
-    double Det;
-    
+
     Det = MATRICE[1][1] * ((MATRICE[2][2] * MATRICE[3][3]) - (MATRICE[3][2] * MATRICE[2][ 3]));
     Det = Det - (MATRICE[1][2] * ((MATRICE[2][1] * MATRICE[3][3]) - (MATRICE[3][1] * MATRICE[2][3])));
     Det = Det + (MATRICE[1][3] * ((MATRICE[2][1] * MATRICE[3][2]) - (MATRICE[3][1] * MATRICE[2][2])));
->>>>>>> .r680
-
-<<<<<<< .mine
-    Det = MATRICE[1][1] * ((MATRICE[2][2] * MATRICE[3][3]) - (MATRICE[3][2] * MATRICE[2][ 3]));
-    Det = Det - (MATRICE[1][2] * ((MATRICE[2][1] * MATRICE[3][3]) - (MATRICE[3][1] * MATRICE[2][3])));
-    Det = Det + (MATRICE[1][3] * ((MATRICE[2][1] * MATRICE[3][2]) - (MATRICE[3][1] * MATRICE[2][2])));
-=======
+
     return Det;
 }
->>>>>>> .r680
-
-<<<<<<< .mine
-    return Det;
-}
 
 
@@ -714,17 +593,4 @@
 }
 
-=======
-
-
-void Alignement::AzHa2XY(double az, double ha, double *x, double *y)
-{
-    double r = Pidiv2 - ha;
-
-    *x = r * cos(az);
-
-    *y = r * sin(az);
-}
-
->>>>>>> .r680
 /**************************************************************************************
 ** Calcule la surface d'un triangle de coordonnÃ©es (px1,py1) (px2, py2) (px3, py3)
@@ -735,15 +601,8 @@
 {
     double ta;
-    
+
     double pxx1, pyy1, pxx2, pyy2, pxx3, pyy3;
 
-<<<<<<< .mine
-    double pxx1, pyy1, pxx2, pyy2, pxx3, pyy3;
-=======
     AzHa2XY(px1, py1, &pxx1, &pyy1);
->>>>>>> .r680
-
-<<<<<<< .mine
-    AzHa2XY(px1, py1, &pxx1, &pyy1);
 
     AzHa2XY(px2, py2, &pxx2, &pyy2);
@@ -753,12 +612,4 @@
     ta = (((pxx2 * pyy1) - (pxx1 * pyy2)) ) + (((pxx3 * pyy2) - (pxx2 * pyy3))  ) + (((pxx1 * pyy3) - (pxx3 * pyy1))  );
 
-=======
-    AzHa2XY(px2, py2, &pxx2, &pyy2);
-    
-    AzHa2XY(px3, py3, &pxx3, &pyy3);
-    
-    ta = (((pxx2 * pyy1) - (pxx1 * pyy2)) ) + (((pxx3 * pyy2) - (pxx2 * pyy3))  ) + (((pxx1 * pyy3) - (pxx3 * pyy1))  );
-
->>>>>>> .r680
     return  fabs(ta) / 2.0;
 }
@@ -788,13 +639,7 @@
     AfficherLog(os.str().c_str(), true);
 
-<<<<<<< .mine
     /* if ( DistanceAngulaireEntre2Points(px, py, px1, py1) > 1.2 ) return false;
       if ( DistanceAngulaireEntre2Points(px, py, px2, py2) > 1.2 ) return false;
       if ( DistanceAngulaireEntre2Points(px, py, px3, py3) > 1.2 ) return false;*/
-=======
-  /* if ( DistanceAngulaireEntre2Points(px, py, px1, py1) > 1.2 ) return false;
-    if ( DistanceAngulaireEntre2Points(px, py, px2, py2) > 1.2 ) return false;
-    if ( DistanceAngulaireEntre2Points(px, py, px3, py3) > 1.2 ) return false;*/
->>>>>>> .r680
 
     return ( fabs(ta - t1 - t2 - t3) < 1e-10 );
@@ -1122,11 +967,6 @@
             os << "Point " << map[i] << "  d=" << distances[i] * N180divPi << "Â°\n";
         }
-<<<<<<< .mine
 
         for (int i=0; i<nbrcorrections; i++)
-=======
-        
-        for (int i=0; i<nbrcorrections; i++)
->>>>>>> .r680
         {
             for (int j=i+1; j<nbrcorrections; j++)
@@ -1200,9 +1040,5 @@
         os << "\nUtilisation du triangle : " << map[best1] << " " << map[best2] << " " << map[best3]  << "\n" ;
 
-<<<<<<< .mine
         // if (MethodeAlignement == SIMPLE)
-=======
-       // if (MethodeAlignement == SIMPLE)
->>>>>>> .r680
         {
             c1.x = VerifAngle(ad[map[best1]] - tsl[map[best1]] + GetTSL());
@@ -1218,5 +1054,4 @@
             c3.z = 1.0;
         }
-<<<<<<< .mine
         /*    else
             {
@@ -1224,23 +1059,9 @@
                 c1.y = de[map[best1]];
                 c1.z = 1.0;
-=======
-    /*    else
-        {
-            c1.x = VerifAngle(ad[map[best1]] - tsl[map[best1]] + GetTSL());
-            c1.y = de[map[best1]];
-            c1.z = 1.0;
->>>>>>> .r680
-
-<<<<<<< .mine
+
                 c2.x = VerifAngle(ad[map[best2]] - tsl[map[best2]] + GetTSL());
                 c2.y = de[map[best2]];
                 c2.z = 1.0;
-=======
-            c2.x = VerifAngle(ad[map[best2]] - tsl[map[best2]] + GetTSL());
-            c2.y = de[map[best2]];
-            c2.z = 1.0;
->>>>>>> .r680
-
-<<<<<<< .mine
+
                 c3.x = VerifAngle(ad[map[best3]] - tsl[map[best3]] + GetTSL());
                 c3.y = de[map[best3]];
@@ -1250,13 +1071,4 @@
         m1.x = VerifAngle(delta_ad[map[best1]] - tsl[map[best1]] + GetTSL());
         m1.y = delta_de[map[best1]];
-=======
-            c3.x = VerifAngle(ad[map[best3]] - tsl[map[best3]] + GetTSL());
-            c3.y = de[map[best3]];
-            c3.z = 1.0;
-        }*/
-      
-        m1.x = VerifAngle(delta_ad[map[best1]] - tsl[map[best1]] + GetTSL());
-        m1.y = delta_de[map[best1]];
->>>>>>> .r680
         m1.z = 1.0;
 
@@ -1298,71 +1110,11 @@
 
 
-<<<<<<< .mine
     for (int i=0; i<nbrcorrections; i++) SelectionnePourCalculMatrice[i] = false;
-=======
-    for (int i=0; i<nbrcorrections; i++) SelectionnePourCalculMatrice[i] = false;
-    
+
     SelectionnePourCalculMatrice[map[best1]] = true;
     SelectionnePourCalculMatrice[map[best2]] = true;
     SelectionnePourCalculMatrice[map[best3]] = true;
-    
->>>>>>> .r680
-
-<<<<<<< .mine
-    SelectionnePourCalculMatrice[map[best1]] = true;
-    SelectionnePourCalculMatrice[map[best2]] = true;
-    SelectionnePourCalculMatrice[map[best3]] = true;
-
-
-=======
-    //VÃ©rifications supp
-    /*
-    Coord result, mm1;
-    double targetAz, targetAlt;
-
-    os << "\n\n\n" << GetLatitude()*N180divPi << "      " << GetLongitude()*N180divPi << "\n";
-    os << GetPression() << "      " << GetTemperature() << "\n";
-    os << GetHeure() << ":" << GetMin() << ":" << GetSec() << "\n";
-    os << DHMS(GetTSL()*N180divPi, true) << "\n\n";
-
-      Azimut(c3.x, c3.y, &mm1.x, &mm1.y);
-
-    os << mm1.x*N180divPi << "   "  <<  mm1.y*N180divPi << "\n";
-
-
-    Azimut(m3.x, m3.y, &mm1.x, &mm1.y);
-
-    os << mm1.x*N180divPi << "   "  <<  mm1.y*N180divPi << "\n";
-
-
-    Azimut(c3.x, c3.y, &mm1.x, &mm1.y);
-
-    double x=cos(mm1.x) * cos(mm1.y);
-    double y=sin(mm1.x) * cos(mm1.y);
-    double z=sin(mm1.y);
-    mm1.x=x;
-    mm1.y=y;
-    mm1.z=z;
-
-    AppliquerMatriceCorrectionSimple(&result, mm1);
-
-    if (result.x != 0.0)
-    {
-        targetAz = atan( result.y / result.x );
-
-        if (result.x < 0) targetAz+=Pi;
-    }
-    else targetAz = Pidiv2;
-
-    targetAz  = VerifAngle(targetAz);
-
-    targetAlt = asin(result.z);
-
-    os << targetAz*N180divPi << "   "  <<  targetAlt*N180divPi << "\n";
-    */
-
-
-
->>>>>>> .r680
+
+
     //Afficher les messages de cette fonction
 
@@ -1382,9 +1134,5 @@
 
     // sauvegarder la position courante
-<<<<<<< .mine
     // long pos = fichier.tellg();
-=======
-   // long pos = fichier.tellg();
->>>>>>> .r680
     // se placer en fin de fichier
     fichier.seekg( 0 , std::ios_base::end );
@@ -1438,13 +1186,7 @@
 
 
-<<<<<<< .mine
     nbrcorrections = 0;
 
     for (int j=0; j < MAXALIGNEMENTANTENNE; j++)
-=======
-    nbrcorrections = 0;
-    
-    for (int j=0; j < MAXALIGNEMENTANTENNE; j++)
->>>>>>> .r680
     {
         os2 << "ad " << j;
@@ -1485,15 +1227,7 @@
             // -> on les applique...
 
-<<<<<<< .mine
-=======
-            
->>>>>>> .r680
-
-<<<<<<< .mine
+
 
             if (delta_ad[nbrcorrections] != atof(delta_ad_data) || delta_de[nbrcorrections] != atof(delta_de_data))
-=======
-            if (delta_ad[nbrcorrections] != atof(delta_ad_data) || delta_de[nbrcorrections] != atof(delta_de_data))
->>>>>>> .r680
             {
                 ad[nbrcorrections] = atof(ad_data);
@@ -1507,24 +1241,13 @@
                 tsl[nbrcorrections] = atof(tsl_data);
 
-<<<<<<< .mine
                 os2 << "Correction antenne ip=" << IP <<  " ad=" << ad[nbrcorrections] << " de=" << de[nbrcorrections] << " deltaAD=" <<
                     delta_ad[nbrcorrections] << " deltaDe=" << delta_de[nbrcorrections] << " tsl=" << tsl[nbrcorrections] << "\n";
-=======
-                os2 << "Correction antenne ip=" << IP <<  " ad=" << ad[nbrcorrections] << " de=" << de[nbrcorrections] << " deltaAD=" << 
-                delta_ad[nbrcorrections] << " deltaDe=" << delta_de[nbrcorrections] << " tsl=" << tsl[nbrcorrections] << "\n";
->>>>>>> .r680
 
                 AfficherLog(&os2, true);
 
                 modificationAlignement = true;
-<<<<<<< .mine
 
                 nbrcorrections++;
             }
-=======
-		
-		nbrcorrections++;
-            }           
->>>>>>> .r680
         }
 
@@ -1760,5 +1483,4 @@
     }
 
-<<<<<<< .mine
     for (int j = 0; j < nbrcorrections; j++) if (ad[j]!=0.0 && de[j]!=0.0)
         {
@@ -1771,14 +1493,4 @@
 
             writeINI((char*)section.c_str(), (char*)key.c_str(), (char*)value.c_str(), (char*)fileName.c_str());
-=======
-    for (int j = 0; j < nbrcorrections; j++) if (ad[j]!=0.0 && de[j]!=0.0)
-    {
-        os << "ad " << j;
-        key     = os.str();
-        os.str("");
-        os << ad[j];
-        value = os.str();
-        os.str("");
->>>>>>> .r680
 
             os << "de " << j;
Index: /BAORadio/libindi/libindi/communs/alignement.h
===================================================================
--- /BAORadio/libindi/libindi/communs/alignement.h	(revision 683)
+++ /BAORadio/libindi/libindi/communs/alignement.h	(revision 684)
@@ -92,13 +92,6 @@
 
     double Surface_Triangle(double px1, double py1, double px2, double py2, double px3, double py3);
-<<<<<<< .mine
     void   AzHa2XY(double az, double ha, double *x, double *y);
     bool   PointSitueDansSurfaceTriangle(double px, double py, double px1, double py1, double px2, double py2, double px3, double py3);
-=======
-    void AzHa2XY(double az, double ha, double *x, double *y);
-    bool PointSitueDansSurfaceTriangle(double px, double py, double px1, double py1, double px2, double py2, double px3, double py3);
->>>>>>> .r680
-    
-    double Determinant();
 
     inline double Determinant();
@@ -120,9 +113,4 @@
     long delta_az_polar;			// Correction en azimut de l'orientation de l'Ã©toile polaire
     // C'est la premiÃšre Ã©tape de l'alignement dans les mode AFFINE et TAKI
-    
-    long int deltaAZ;                           // delta en azimut et en hauteur pour une correction Ã  la raquette
-    long int deltaHA;                           // hors procÃ©dure d'alignement
-    
-    bool SelectionnePourCalculMatrice[MAXALIGNEMENTANTENNE];
 
     long int deltaAZ;                           // delta en azimut et en hauteur pour une correction Ã  la raquette
Index: /BAORadio/libindi/libindi/communs/astro.h
===================================================================
--- /BAORadio/libindi/libindi/communs/astro.h	(revision 683)
+++ /BAORadio/libindi/libindi/communs/astro.h	(revision 684)
@@ -53,6 +53,4 @@
     string DHMS(double mema, bool HMS);
      void   Azimut(double Ar, double De, double *azi, double *hau);
-    void   AzHa2ADDe(double Az, double Ha, double *AD, double *Dec);
-    void   RechercheAzimutFinSuivi(double AD, double Dec, long int *azmin, long int *azmax);
     void   AzHa2ADDe(double Az, double Ha, double *AD, double *Dec);
     void   RechercheAzimutFinSuivi(double AD, double Dec, long int *azmin, long int *azmax);